
//#include "Engine/Headers/Core.hpp"
//#include "Engine/Headers/Components.hpp"

//#include <cstdlib>

/*#include <sndfile.h>

#include <al.h>
#include <alc.h>

#include <cassert>
#include <cstdlib>
#include <stdio.h>
#include <iostream>
#include <omp.h>

#include <boost/cstdint.hpp>
#include <boost/chrono.hpp>
#include <boost/thread.hpp>
#include <boost/array.hpp>
#include <boost/shared_ptr.hpp>*/

#include "Engine/Core/Kernel/CKernel.hpp"

int main(int argc, char** argv) {
	// test();
	using namespace CosmicCore;
	CKernel g("Mon jeu", "Jeu");
	//CScene s("Scene1");
	g.start();
	g.loop();
	
    return 0;
}